// creator  : weidu.exe (version 23100)
// argument : _ELMIN5.DLG
// game		 : .
// source	 : ./override/_ELMIN5.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_ELMIN5~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #85178 /* ~Good day to thee, young one. What a marvelous happenstance that we should again cross paths, especially in such a grand city as this. Ahh, I see by thine eyes that thou've no time for my wry banter. 'Tis true, our meeting was no accident, though I do honestly take pleasure in seeing thee again.~ */
  IF ~~ THEN REPLY #85179 /* ~A pleasure I do not share. Leave me be, old man!~ */ GOTO 1
  IF ~~ THEN REPLY #85180 /* ~It is good to see you again. What brings you here?~ */ GOTO 3
  IF ~Global("X#ELMIN50","GLOBAL",0)
InParty("xan")
InMyArea("xan")
!StateCheck("xan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ELMIN50","GLOBAL",1)~ EXTERN ~_XANJ~ 247
  IF ~Global("X#ELMIN50","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ELMIN50","GLOBAL",1)~ EXTERN ~_EDWINJ~ 175
  IF ~Global("X#ELMIN50","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ELMIN50","GLOBAL",1)~ EXTERN ~_GARRIJ~ 191
END

IF ~~ THEN BEGIN 1 // from: 0.0 _EDWINJ:176.0 _EDWINJ:175.0
  SAY #85181 /* ~I am not some old letch that follows thee around for the good of mine eyes, upstart. If I am to be accused of anything, perhaps it is that I have been a touch too mothering. I think this can be excused, however, when compared to the zeal with which thy true parentage pursues thee. I trust thou dost suspect that thou art not "normal."~ */
  IF ~~ THEN REPLY #85182 /* ~Save your insults for someone who cares!~ */ GOTO 2
  IF ~~ THEN REPLY #85183 /* ~What do you know of this? Why have you come here?~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 5.1 1.0
  SAY #85184 /* ~Thou art determined to be confrontational, aren't thee. So be it. I will leave thee to whatever fate that thou dost carve for thyself. I will extend the courtesy of a warning though; thy manner may come natural to thee, but obeying thine impulses is not always the best course. Being true to thyself is only wise if that is truly the self thou dost wish to become. I lecture too long and thine interest fades. Off with thee, to whatever fate will have thee.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #85185 /* ~Again Elminster has made an appearance, and again he has presented a riddle I have not the time to puzzle over.  Something about my nature and how I must be cautious.  Bah, only my enemies need worry about my actions.~ */ EXIT
  IF ~Global("X#JaElminster51","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaElminster51","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 91
END

IF ~~ THEN BEGIN 3 // from: 1.1 0.1 _EDWINJ:176.1 _EDWINJ:175.1
  SAY #85186 /* ~Oh, all citizens of the Sword Coast eventually pass through Baldur's Gate, and I knew thou wouldst as well. Forgive my continued meddling but I believe it is warranted, especially considering the pressures thou art no doubt confronting. My pestering of thee certainly pales in comparison to the influence thou've felt from others, including thine own self. Gorion raised thee as best he could, but 'tis hard indeed to overcome what is bred in the bone. Much more so in this case, I would imagine.~ */
  IF ~~ THEN REPLY #85187 /* ~So what is it you wish of me?~ */ GOTO 5
  IF ~~ THEN REPLY #85188 /* ~What do you know of Gorion?~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 5.0 3.1
  SAY #85189 /* ~He was long my friend and we talked often, though less after he settled down with thee. He was quite the traveler in his day, though he never regretted his new role as foster father. He felt a stable childhood would better prepare thee for... well... the problems that would eventually come. He cared deeply for thee. I hope this was not lost on you.~ */
  IF ~~ THEN REPLY #85190 /* ~Bah! Gorion was weak. I have no desire to follow in any parental footsteps.~ */ GOTO 6
  IF ~~ THEN REPLY #85191 /* ~He was a good man, though I would prefer to walk my own path.~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 3.0
  SAY #85192 /* ~I was about to ask this same question of thee. Thou've come quite far, and though my answers are often less than obvious, I do hope they help a little. Gorion often chided me for my obliqueness, though he was fond of a little verbal hide and seek as well.~ */
  IF ~~ THEN REPLY #85193 /* ~What can you tell me of Gorion? It seems I knew very little of him.~ */ GOTO 4
  IF ~~ THEN REPLY #85194 /* ~I tire of these games. Leave me to my own means!~ */ GOTO 2
END

IF ~~ THEN BEGIN 6 // from: 4.0
  SAY #85195 /* ~Such bitter sentiment betrays thee. Thou art closer to thine true lineage than thou wouldst care to believe. Thou've bad blood in thee, child, a taint that will consume thee if care is not taken. What point is there in defeating one's enemies if thou dost join them in spirit? There are good people who are willing to guide thee, and options available other than capitulation.~ */
  IF ~~ THEN REPLY #85196 /* ~Fie upon ye! I will conquer all, whether from within or afar!~ */ GOTO 8
  IF ~~ THEN REPLY #85197 /* ~Good intentioned friends are welcome, though I will fight my own battles.~ */ GOTO 9
END

IF ~~ THEN BEGIN 7 // from: 4.1
  SAY #85198 /* ~I was not suggesting that thou should do otherwise. Whatever the motives, independence is always a wise course to follow. My worry is that thy lineage is harder to escape than most. Thou've bad blood in thee, though Gorion did what he could to teach thee well and true. Thou've hungry blood within thee as well, and it will not let thee go without a fight. For better or worse, what's bred in the bone will be dealt with in time. I trust thou've the will to face what is within thee?~ */
  IF ~~ THEN REPLY #85199 /* ~I will conquer all, whether from within or afar!~ */ GOTO 8
  IF ~~ THEN REPLY #85200 /* ~I know little of what is to come, but I will do what is best.~ */ GOTO 9
END

IF ~~ THEN BEGIN 8 // from: 7.0 6.0
  SAY #85201 /* ~An attitude that will suffice, I suppose. Striving to be free or refusing to be dominated: six of one or a half dozen of another. This difference is unimportant for now, though sometime in the future such brash traits may prove to be a weakness. We shall see. For now, I offer basic advice and a few names. Scar of the Flaming Fist is a good man, and well worth trusting. His superior, Duke Eltan, is also a good sort. Both are to be believed when they speak. I take my leave, and wish thee well.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #85202 /* ~Again Elminster has made an appearance, though he was a little more forthcoming with information this time.  He apparently knew Gorion well, and thought him a good man to care for me.  He also spoke of bad blood, and a taint that will consume me if care is not taken.  What this means, I am not sure.  I will heed his warning, though I have little time to dwell on it.  He did give me some names, though, of people he feels are trustworthy: Scar of the Flaming Fist, and Duke Eltan.  I suppose I can believe them if Elminster himself does so recommend.~ */ EXIT
END

IF ~~ THEN BEGIN 9 // from: 7.1 6.1
  SAY #85203 /* ~I am sure the future will be kind to thee. For now I will give thee my best wishes, and a few names that will serve thee well. Scar of the Flaming Fist is a good man, and well worth trusting. His superior, Duke Eltan, is also a good sort. Both are to be believed when they speak. I take my leave, and wish thee well.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #85202 /* ~Again Elminster has made an appearance, though he was a little more forthcoming with information this time.  He apparently knew Gorion well, and thought him a good man to care for me.  He also spoke of bad blood, and a taint that will consume me if care is not taken.  What this means, I am not sure.  I will heed his warning, though I have little time to dwell on it.  He did give me some names, though, of people he feels are trustworthy: Scar of the Flaming Fist, and Duke Eltan.  I suppose I can believe them if Elminster himself does so recommend.~ */ EXIT
  IF ~Global("X#JaElminster52","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaElminster52","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 90
  IF ~Global("X#MinscBoo","GLOBAL",0)
InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MinscBoo","GLOBAL",1)~ EXTERN ~_MINSCJ~ 60
END

IF ~~ THEN BEGIN 10 // from:
  SAY #33084 /* ~Fare thee well.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #85202 /* ~Again Elminster has made an appearance, though he was a little more forthcoming with information this time.  He apparently knew Gorion well, and thought him a good man to care for me.  He also spoke of bad blood, and a taint that will consume me if care is not taken.  What this means, I am not sure.  I will heed his warning, though I have little time to dwell on it.  He did give me some names, though, of people he feels are trustworthy: Scar of the Flaming Fist, and Duke Eltan.  I suppose I can believe them if Elminster himself does so recommend.~ */ EXIT
END

IF ~~ THEN BEGIN 11 // from:
  SAY #98568 /* ~Ah, <PRO_HESHE> knows not what <PRO_HESHE> is doing.~ */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL #85185 /* ~Again Elminster has made an appearance, and again he has presented a riddle I have not the time to puzzle over.  Something about my nature and how I must be cautious.  Bah, only my enemies need worry about my actions.~ */ EXIT
END

IF ~~ THEN BEGIN 12 // from: 20.0 19.0 18.0 17.0 16.0 15.0
  SAY #99887 /* ~I never said that, did I... ?~ */
  IF ~~ THEN GOTO 14
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 13
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 162
END

IF ~~ THEN BEGIN 13 // from: 12.1
  SAY #99889 /* ~My impatient apprentice, what would life be if you had an old wizard guiding your every step?~ */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0 12.0
  SAY #99890 /* ~Now run along, young one, thine adventure awaits!~ */
  IF ~~ THEN DO ~ActionOverride("elminster5",EscapeArea())
~ JOURNAL #99892 /* ~Again Elminster has made an appearance, though he was a little more forthcoming with information this time. He apparently knew Gorion well, and thought him a good man to care for me. He also spoke of bad blood, and a taint that will consume me if care is not taken. What this means, I am not sure. I will heed his warning, though I have little time to dwell on it. He did give me some names, though, of people he feels are trustworthy: Scar of the Flaming Fist and Duke Eltan. I suppose I can believe them if Elminster himself does so recommend.~ */ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 163
END

IF ~~ THEN BEGIN 15 // from:
  SAY #99938 /* ~Indeed, I dabbled with pet trading from time to time. May I see him?~ */
  IF ~~ THEN REPLY #99945 /* ~Wait a moment! So Boo really is a... ?~ */ GOTO 12
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 65
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 19
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 64
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 18
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 63
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 17
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 62
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 16
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 61
END

IF ~~ THEN BEGIN 16 // from: 15.9
  SAY #99940 /* ~Let me have a look at the little rascal...~ */
  IF ~~ THEN REPLY #99945 /* ~Wait a moment! So Boo really is a... ?~ */ GOTO 12
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 65
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 19
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 64
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 18
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 63
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 17
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 62
END

IF ~~ THEN BEGIN 17 // from: 16.7 15.7
  SAY #99941 /* ~My furry friend, what have thou been occupied with?~ */
  IF ~~ THEN REPLY #99945 /* ~Wait a moment! So Boo really is a... ?~ */ GOTO 12
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 65
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 19
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 64
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 18
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 63
END

IF ~~ THEN BEGIN 18 // from: 17.5 16.5 15.5
  SAY #99942 /* ~Indeed? 'Tis quite intriguing!~ */
  IF ~~ THEN REPLY #99945 /* ~Wait a moment! So Boo really is a... ?~ */ GOTO 12
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 65
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 19
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 64
END

IF ~~ THEN BEGIN 19 // from: 18.3 17.3 16.3 15.3
  SAY #99943 /* ~Of course I shall give thy regards to Mystra.~ */
  IF ~~ THEN REPLY #99945 /* ~Wait a moment! So Boo really is a... ?~ */ GOTO 12
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~_MINSCJ~ 65
END

IF ~~ THEN BEGIN 20 // from: 19.1 18.1 17.1 16.1 15.1
  SAY #99944 /* ~Yes, and that thou art sorry about the incident with the slippers.~ */
  IF ~~ THEN REPLY #99945 /* ~Wait a moment! So Boo really is a... ?~ */ GOTO 12
END
